Subject: Re: [RFC PATCH] x86: create drivers/x86/ from drivers/misc/

From: Henrique de Moraes Holschuh <[email-masked]>
Date: Fri, 28 Nov 2008 22:16:47 -0200

On Fri, 28 Nov 2008, Len Brown wrote:
> > > Move x86 platform specific drivers from drivers/misc/
> > > to a new home under drivers/x86/.
[...]
> > We already have 81 one directory entries under drivers/
> > and with patch you open up for an additional
> > directory for each arch - not elegant.
> 
> I followed the example of drivers/s390/,
> per Linus' suggestion.
> 
> The other place that seemed to suggest itself was
> arch/x86/drivers/, as we already have:
> 
> arch/um/drivers/
> arch/sh/drivers/
> arch/cris/*/drivers/

IMHO, from a purely "tree organization" point of view, it would be best if
arch-specific platform drivers were under drivers/platform/<arch>/.  And
arch/ be left for the core arch-specific stuff.

Whether that would work well, when arch maintenance factors are taken into
account, I don't know.

> > As it is today (before this patch) the directories unider
> > drivers/ said what the drivers was used for - which is logical.
> > 
> > But with this new arch specific directory it is no longer obvious
> > is a driver should be located under say drivers/net/* or
> > drivers/arm/* in case it is a arm specific driver.

drivers/platform/<arch> would help in that regard, I think.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh